=head1 NAME

Gnome2::Wnck::Application

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gnome2::Wnck::Application



=cut


=head1 METHODS

=head2 application = Gnome2::Wnck::Application-E<gt>B<get> ($xwindow)

=over

=item * $xwindow (unsigned) 

=back

=head2 pixbuf = $app-E<gt>B<get_icon> 

=head2 boolean = $app-E<gt>B<get_icon_is_fallback> 

=head2 string = $app-E<gt>B<get_icon_name> 

=head2 pixbuf = $app-E<gt>B<get_mini_icon> 

=head2 integer = $app-E<gt>B<get_n_windows> 

=head2 string = $app-E<gt>B<get_name> 

=head2 integer = $app-E<gt>B<get_pid> 

=head2 string = $app-E<gt>B<get_startup_id> 

=head2 list = $app-E<gt>B<get_windows> 


Returns a list of WnckWindow's.


=head2 unsigned = $app-E<gt>B<get_xid> 



=cut


=head1 SIGNALS

=over

=item B<icon-changed> (Gnome2::Wnck::Application)

=item B<name-changed> (Gnome2::Wnck::Application)

=back



=cut


=head1 SEE ALSO

L<Gnome2::Wnck>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::Wnck> for a full
notice.



=cut

